package ink.wgink.service.pojo.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: MenuVO
 * @Description: 菜单视图
 * @Author: WangGeng
 * @Date: 2019/3/1 10:24 PM
 * @Version: 1.0
 **/
@ApiModel
public class MenuVO {

    @ApiModelProperty(name = "menuParentId", value = "上级ID", required = true, example = "0")
    private String menuParentId;
    @ApiModelProperty(name = "menuName", value = "菜单名称", required = true, example = "菜单名称")
    private String menuName;
    @ApiModelProperty(name = "apiPrefix", value = "接口前缀", required = true, example = "/api/menu")
    private String apiPrefix;
    @ApiModelProperty(name = "resourcePrefix", value = "资源前缀", required = true, example = "/resource/menu")
    private String resourcePrefix;
    @ApiModelProperty(name = "routePrefix", value = "路由前缀", required = true, example = "/route/menu")
    private String routePrefix;
    @ApiModelProperty(name = "menuUrl", value = "菜单链接")
    private String menuUrl;
    @ApiModelProperty(name = "menuIcon", value = "菜单图标")
    private String menuIcon;
    @ApiModelProperty(name = "menuType", value = "菜单类型，1：系统菜单，2：业务菜单", example = "1")
    private Integer menuType;
    @ApiModelProperty(name = "menuOrder", value = "菜单排序", required = true, example = "99")
    private String menuOrder;
    @ApiModelProperty(name = "menuStatus", value = "菜单状态，0：显示，1：不显示", example = "1")
    private Integer menuStatus;
    @ApiModelProperty(name = "openType", value = "打开方式，1: 默认，2: 弹窗，3: 页面")
    private Integer openType;

    public String getMenuParentId() {
        return menuParentId == null ? "" : menuParentId.trim();
    }

    public void setMenuParentId(String menuParentId) {
        this.menuParentId = menuParentId;
    }

    public String getMenuName() {
        return menuName == null ? "" : menuName.trim();
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getApiPrefix() {
        return apiPrefix == null ? "" : apiPrefix.trim();
    }

    public void setApiPrefix(String apiPrefix) {
        this.apiPrefix = apiPrefix;
    }

    public String getResourcePrefix() {
        return resourcePrefix == null ? "" : resourcePrefix.trim();
    }

    public void setResourcePrefix(String resourcePrefix) {
        this.resourcePrefix = resourcePrefix;
    }

    public String getRoutePrefix() {
        return routePrefix == null ? "" : routePrefix.trim();
    }

    public void setRoutePrefix(String routePrefix) {
        this.routePrefix = routePrefix;
    }

    public String getMenuUrl() {
        return menuUrl == null ? "" : menuUrl.trim();
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public String getMenuIcon() {
        return menuIcon == null ? "" : menuIcon.trim();
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public String getMenuOrder() {
        return menuOrder == null ? "" : menuOrder.trim();
    }

    public void setMenuOrder(String menuOrder) {
        this.menuOrder = menuOrder;
    }

    public Integer getMenuStatus() {
        return menuStatus;
    }

    public void setMenuStatus(Integer menuStatus) {
        this.menuStatus = menuStatus;
    }

    public Integer getOpenType() {
        return openType;
    }

    public void setOpenType(Integer openType) {
        this.openType = openType;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"menuParentId\":")
                .append("\"").append(menuParentId).append("\"");
        sb.append(",\"menuName\":")
                .append("\"").append(menuName).append("\"");
        sb.append(",\"apiPrefix\":")
                .append("\"").append(apiPrefix).append("\"");
        sb.append(",\"resourcePrefix\":")
                .append("\"").append(resourcePrefix).append("\"");
        sb.append(",\"routePrefix\":")
                .append("\"").append(routePrefix).append("\"");
        sb.append(",\"menuUrl\":")
                .append("\"").append(menuUrl).append("\"");
        sb.append(",\"menuIcon\":")
                .append("\"").append(menuIcon).append("\"");
        sb.append(",\"menuType\":")
                .append("\"").append(menuType).append("\"");
        sb.append(",\"menuOrder\":")
                .append("\"").append(menuOrder).append("\"");
        sb.append(",\"menuStatus\":")
                .append("\"").append(menuStatus).append("\"");
        sb.append(",\"openType\":")
                .append("\"").append(openType).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
